Bug 444654 - False BR on perl-Object-Deadly causes deadly build embrace failure
False BR on perl-Object-Deadly causes deadly build embrace failure
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl-Carp-Clan (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 15:29 EDT by R P Herrold
Modified: 2008-07-22 10:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-22 10:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2008-04-29 15:29:00 EDT
There is a false BR on perl-Object-Deadly --  perl-Object-Deadly is ** only 
**needed in the 'make test' phase, and with it ** present ** as a BR, one has a
'deadly embrace'  BR dependency loop which prevents a clean bootstrap build.

Note that we have a manual BR here:

[herrold@centos-5 GeniusTrader]$ rpm -Uvh perl-Object-Deadly-0.09-3.fc9.src.rpm
warning: perl-Object-Deadly-0.09-3.fc9.src.rpm: Header V3 DSA signature: NOKEY,
key ID 4f2a6fd2
   1:perl-Object-Deadly     warning: user mockbuild does not exist - using root
########################################### [100%]
[herrold@centos-5 GeniusTrader]$ cp ~/rpmbuild/SPECS/perl-Object-Deadly.spec .
[herrold@centos-5 GeniusTrader]$ grep -i carp perl-Object-Deadly.spec
BuildRequires:  perl(Carp::Clan)

[herrold@centos-5 GeniusTrader]$ sudo rpm -e perl-Carp-Clan
[herrold@centos-5 GeniusTrader]$ rpmbuild --rebuild perl-Carp-Clan-5.9-5.fc9.src.rpm
Installing perl-Carp-Clan-5.9-5.fc9.src.rpm
warning: InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
error: Failed build dependencies:
        perl(Object::Deadly) is needed by perl-Carp-Clan-5.9-5.noarch

The false BR prevents the build above -- ths demonstrated the build dependency
interlock 'deadly embrace'

Watch for:   
** Checking if your kit is complete...
** Looks good

which are the sign of a clean BR

[herrold@centos-5 GeniusTrader]$ rpmbuild --nodeps --rebuild \
      perl-Carp-Clan-5.9-5.fc9.src.rpm
Installing perl-Carp-Clan-5.9-5.fc9.src.rpm
warning: InstallSourcePackage: Header V3 DSA signature: NOKEY, key ID 4f2a6fd2
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.75276
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/herrold/rpmbuild/BUILD
+ rm -rf Carp-Clan-5.9
+ /bin/gzip -dc /home/herrold/rpmbuild/SOURCES/Carp-Clan-5.9.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd Carp-Clan-5.9
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #1 (perl-Carp-Clan-no-prompt-Makefile.patch):'
Patch #1 (perl-Carp-Clan-no-prompt-Makefile.patch):
+ patch -p1 -s
+ cat
+ chmod +x /home/herrold/rpmbuild/BUILD/Carp-Clan-5.9/perl-Carp-Clan-prov
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.52381
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ cd Carp-Clan-5.9
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor

Writing Makefile for Carp::Clan
+ make -j2
cp lib/Carp/Clan.pm blib/lib/Carp/Clan.pm
cp lib/Carp/Clan.pod blib/lib/Carp/Clan.pod
Manifying blib/man3/Carp::Clan.3pm
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.52381
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ cd Carp-Clan-5.9
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/perl-Carp-Clan-5.9-5-root-herrold
+ make pure_install PERL_INSTALL_ROOT=/var/tmp/perl-Carp-Clan-5.9-5-root-herrold
Installing
/var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/lib/perl5/vendor_perl/5.8.8/Carp/Clan.pm
Installing
/var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/lib/perl5/vendor_perl/5.8.8/Carp/Clan.pod
Installing
/var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/share/man/man3/Carp::Clan.3pm
Writing
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/auto/Carp/Clan/.packlist
+ find /var/tmp/perl-Carp-Clan-5.9-5-root-herrold -type f -name .packlist -exec
rm -f '{}' ';'
+ find /var/tmp/perl-Carp-Clan-5.9-5-root-herrold -type d -depth -exec rmdir
'{}' ';'
+ chmod -R u+w /var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr
+ /usr/lib/rpm/find-debuginfo.sh /home/herrold/rpmbuild/BUILD/Carp-Clan-5.9
0 blocks
find: /var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/lib/debug: No such file or
directory
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.97449
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ cd Carp-Clan-5.9
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01pod............skipped
        all skipped: Skipping author tests
t/03yaml...........skipped
        all skipped: Skipping author tests
t/04boilerplate....skipped
        all skipped: Skipping author tests
t/10basic..........ok
t/11basic..........ok
        1/55 skipped: Object::Deadly not installed
All tests successful, 3 tests and 1 subtest skipped.
Files=5, Tests=57,  1 wallclock secs ( 0.06 cusr +  0.04 csys =  0.10 CPU)
+ exit 0
Processing files: perl-Carp-Clan-5.9-5
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.62190
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ cd Carp-Clan-5.9
+ DOCDIR=/var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/share/doc/perl-Carp-Clan-5.9
+ export DOCDIR
+ rm -rf /var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/share/doc/perl-Carp-Clan-5.9
+ /bin/mkdir -p
/var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/share/doc/perl-Carp-Clan-5.9
+ cp -pr Artistic.txt Changes GNU_GPL.txt README
/var/tmp/perl-Carp-Clan-5.9-5-root-herrold/usr/share/doc/perl-Carp-Clan-5.9
+ exit 0
Provides: perl(Carp::Clan) = 5.9
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: perl(:MODULE_COMPAT_5.8.8) perl(overload) perl(strict) perl(vars)
Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/perl-Carp-Clan-5.9-5-root-herrold
Wrote: /home/herrold/rpmbuild/RPMS/noarch/perl-Carp-Clan-5.9-5.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.94299
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ cd Carp-Clan-5.9
+ rm -rf /var/tmp/perl-Carp-Clan-5.9-5-root-herrold
+ exit 0
Executing(--clean): /bin/sh -e /var/tmp/rpm-tmp.94299
+ umask 022
+ cd /home/herrold/rpmbuild/BUILD
+ rm -rf Carp-Clan-5.9
+ exit 0
[herrold@centos-5 GeniusTrader]$   

Description of problem:


The manual false BR on perl-Carp-Clan should be removed.

Version-Release number of selected component (if applicable):

current bleeding (perl-Carp-Clan-5.9-5.fc9.src.rpm)

How reproducible:

see above for a worked example

Steps to Reproduce:

as above
  
Actual results:

Build failure without a '--nodeps' on the build -- this should NOT be needed

Expected results:

A build without the stray BR, builds properly.

Additional info:

A one line edit removing the BR shown by the grep above, please
Comment 1 Bug Zapper 2008-05-14 06:23:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marcela Mašláňová 2008-07-22 10:55:44 EDT
This BR should be here. We removed only prompt for asking user if he wants use
it or not. If it's installed than it's used.

Note You need to log in before you can comment on or make changes to this bug.